#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
    list_sonderzeichen.py: enthält einen Filter für HTML-Sonderzeichen
    Hinweis: unter utf-8 muss man deutsche Umlaute nicht mehr maskieren . . .
"""
# kodiert Umlaute, etc. in HTML
def HTMLfilter (zeile):
    sonderzeichen = ['ä','ö','ü','Ä','Ö','Ü','ß','<','>','&','"']
    kodiert = ['&auml;','&ouml;','&uuml;','&Auml;','&Ouml;','&Uuml;']
    # so kann man Listen 'addieren' (verknüpfen):
    kodiert = kodiert + ['&szlig;','&lt;','&gt;','&amp;']
    # oder am Ende ein Element anhängen:
    kodiert.append('&quot;')
    text = ''
    for i in range( len(zeile) ):
        if zeile[i] in sonderzeichen:
            pos = sonderzeichen.index(zeile[i])
            text = text + kodiert[pos]
        else:
            text = text + zeile[i]
    return text
                    
# ausprobieren:
testzeile = '"Immer öfter könnte ich mich <ärgern> '
testzeile = testzeile + 'über üble Programmierfähler & Würmer"'
print( '\n\nStart . . .(list_sonderzeichen.py)\n' )
print( testzeile )
print()
print( HTMLfilter(testzeile) )
print()
print( '\n\nBeendet . . .(list_sonderzeichen.py)\n' )
