#!/usr/bin/python3
# -*- coding: utf-8 -*- 
# dirlist.py: simple List-Extension


class DirList:
    ## für Directory 
    ## DirListe=[]
    ## DirMax=5     
    
    def __init__(self):
        self.DirListe=[] 
        self.DirMax=5

    def listLength(self):
        """Retour: Länge der Liste"""        
        if self.DirListe != []:
            return len(self.DirListe)
        else:
            return -1

    def delEntry(self,element):
        """Löscht 'element' aus Liste"""
        debug = 0        
        if (self.listLength() > 0): ## Liste leer?
            if element in self.DirListe:
                self.DirListe.remove(element)
            else:    
                if debug:
                    print( 'Element "' + element + '" nicht in der Liste . . .' )
            
    def resetList(self):
        """Initialisiert die Liste"""
        self.DirListe=[]

    def addEntry(self,element):
        """Fügt 'element' zur Liste hinzu"""
        import string
        debug = 0
        laenge = self.listLength()
        element = element.strip()        
        if (laenge < 1):  ## Liste leer!
            self.DirListe.append(element)
        else: ## laenge >= 1   
            if not element in self.DirListe:
                if (laenge < self.DirMax):
                    neu = self.DirListe[:laenge]
                    self.DirListe = [element] + neu
                else:  ## Liste voll
                    neu = self.DirListe[:self.DirMax-1]
                    self.DirListe = [element] + neu
            else:
                if debug:
                    print( 'Element "' + element + '" schon in der Liste . . .' )
                    
    def swapFirst(self,element):
        """setzt element an den Anfang der Liste"""
        pass
    
    def printList(self):
        """Ausgabe-Methode für die Liste"""        
        laenge = self.listLength()        
        if (laenge > 0):
            print( 'Elemente der DirListe' )
            for element in self.DirListe:
                print( element )
        else:
            print( 'Liste leer!!' )
#########################        
def mainDirTest():
    """Test-Methode für die Klasse"""
    test = DirList()    # Objekt erzeugen
    test.addEntry('Eintrag 1')
    test.addEntry('2. Eintrag')
    test.addEntry('Eintrag Nr. 3')
    test.addEntry('Eintrag 1')
    test.addEntry('5. Eintrag')
    test.addEntry('Eintrag Nr. 6')
    test.addEntry('Eintrag Nr. 7')
    test.addEntry('Eintrag 1')
    test.printList()
    print( 'Jetzt löschen. . .' )
    test.delEntry('5. Eintrag')
    test.printList()
    
## main
if  __name__ == '__main__':
    print( "\n\nTest der DirList-Klasse" )
    mainDirTest()
        
