#!/usr/bin/python3
# -*- coding: utf-8 -*-


"""
    list_demo.py: demonstriert Listen-Funktionen
"""


print( '\n\nlist_demo.py\n' )
werktage = "Mo Di Mi Do Fr"
print( 'werktage:', werktage )
wtagliste = werktage.split()
print( 'Jetzt die Liste:', wtagliste )
# jetzt jeden Werktag einzeln ausgeben
print( 'Einzeln ausgeben: ', )
for tag in wtagliste:
    print( tag + '   ', )
print()
# auf den Montag über Index zugreifen:
print( 'Der Montag (wtagliste[0]): ', wtagliste[0] )
# Sa zur wtagliste hinzufügen
wtagliste = wtagliste + ['Sa']
print( "Liste + ['Sa']:", wtagliste )
# So zur wtagliste hinzufügen
wtagliste.append('So')
print( "'So' mit append anhängen:\nwtagliste.append('So'):", wtagliste )
wtagliste.reverse()
print( 'die Liste rückwärts: wtagliste.reverse()\n', wtagliste )
print( '\nACHTUNG: wtagliste.reverse() kehrt die Liste am Ort um und liefert' )
print( 'keinen Wert zurück (es ist also eine Prozedur bzw. eine void-Funktion)' )
print( 'Folge: die Variable wtagliste wird VERÄNDERT!' )
print( 'Das gilt auch für die folgende Sortier-Funktion: wtagliste.sort()\n' )
wtagliste.sort()
print( 'Die Liste der Wochentage sortieren: wtagliste.sort()\n',wtagliste )
print( 'Das wars!' )


