#!/usr/bin/python3
# -*- coding: utf-8 -*-


"""
    sonderzeichen.py: enthält einen Filter für HTML-Sonderzeichen
    Hinweis: unter utf-8 muss man deutsche Umlaute nicht mehr maskieren . . .
"""

def sonderzeichen (zeile):
    """ kodiert Umlaute, etc. in HTML """
    text = ''
    for i in range( len(zeile) ):
        if zeile[i] == 'ä':
            text = text + '&auml;'
        elif zeile[i] == 'Ä':
            text = text + '&Auml;'
        elif zeile[i] == 'ö':
            text = text + '&ouml;'
        elif zeile[i] == 'Ö':
            text = text + '&Ouml;'
        elif zeile[i] == 'ü':
            text = text + '&uuml;'
        elif zeile[i] == 'Ü':
            text = text + '&Uuml;'
        elif zeile[i] == 'ß':
            text = text + '&szlig;'            
        elif zeile[i] == '<':
            text = text + '&lt;'
        elif zeile[i] == '>':
            text = text + '&gt;'
        elif zeile[i] == '&':
            text = text + '&amp;'
        elif zeile[i] == '"':
            text = text + '&quot;'            
        else:
            text = text + zeile[i]
    return text
                    
# ausprobieren:
testzeile = '"Immer öfter könnte ich mich <ärgern> '
testzeile = testzeile + 'über üble Programmierfähler & Würmer"'
print( '\n\nStart . . .(sonderzeichen.py)\n' )
print( testzeile )
print()
print( sonderzeichen(testzeile) )
print()
print( '\n\nBeendet . . .(sonderzeichen.py)\n' )

