#!/usr/bin/python3
# -*- coding: utf-8 -*-

def datei_lesen (datei):
    """ Liest eine Datei; gibt 1 zurück, falls erfolgreich """
    try:    
        in_file = open(datei,"r")
    # Datei zum Lesen (r: read) öffnen
    except IOError:
        print( '=> Konnte '+ datei + ' nicht öffnen!' )
        return 0
    else:    
        text = in_file.read() # Datei lesen
        in_file.close() # Datei schliessen
        print( text )     # und Inhalt ausgeben 
        return 1

#ausprobieren:
pfad = "./" # hier anpassen!
print( '\n\nProgramm: viewer.py\n' )
dateiname = input('Dateiname eingeben: ')
print( '\n\nLese die Datei: ' + dateiname )
ergebnis = datei_lesen(pfad+dateiname)
if ergebnis == 1:
    print( 'Gelesen: ' + dateiname )
    print( 'Fertig . . . (viewer.py)' )
